Subject: [PATCH v2] iommu/io-pgtable-arm: Don't use dma_to_phys()

From: [email-masked] (Will Deacon)
Date: Tue, 22 Sep 2015 17:26:34 +0100

On Tue, Sep 22, 2015 at 05:23:16PM +0100, Robin Murphy wrote:
> On 22/09/15 14:25, Yong Wu wrote:
> [...]
> > About here:
> >> @@ -629,6 +626,11 @@ arm_lpae_alloc_pgtable(struct io_pgtable_cfg
> > *cfg)
> >>        if (cfg->oas > ARM_LPAE_MAX_ADDR_BITS)
> >>                return NULL;
> >>   
> >> +     if (cfg->iommu_dev->dma_pfn_offset) {
> > 
> > Do we need change to :
> > 	if (!selftest_running && cfg->iommu_dev->dma_pfn_offset) {
> > 
> > cfg->iommu_dev will be null while self test.
> 
> Urgh, you're absolutely right. Must have been one of those days when I
> had loads of noisy debug in there and turned the self-tests off :(
> 
> Will; since the branch hasn't gone anywhere yet, are you OK to take the below?

Yeah, no problem. I'll fold it in when I get a chance.

Will